data{
    int N;
    real Y[N];
    real X[N];
}
parameters{
    real b0;
    real b1;
    real<lower = 0.0> sgm;
}
transformed parameters{
    real Yreg[N];
    for (i in 1:N)
        Yreg[i] = b0 + b1 * X[i];
}
model{
    for (i in 1:N)
        Y[i] ~ normal(Yreg[i], sgm);
}
