data{
    int N;
    real Y[N];
    real X[N];
    real XA[N];
    real XB[N];
    real XC[N];
}
parameters{
    real b;
    real bA;
    real bB;
    real bC;
    real<lower = 0.0> sgm;
}
transformed parameters{
    real Yreg[N];
    for (i in 1:N)
        Yreg[i] = b * X[i] + bA * XA[i] + bB * XB[i] + bC * XC[i];
}
model{
    for (i in 1:N)
        Y[i] ~ normal(Yreg[i], sgm);
}
